import { type Logger } from '@sap-ux/logger';
/**
 * Static logger prevents passing of logger references through all functions, as this is a cross-cutting concern.
 */
export default class LoggerHelper {
    private static _logger;
    /**
     * Get the logger.
     *
     * @returns the logger
     */
    static get logger(): Logger;
    /**
     * Set the logger.
     *
     * @param value the logger to set
     */
    static set logger(value: Logger);
}
//# sourceMappingURL=logger-helper.d.ts.map